function buscarVendedor(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formVendedor.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busVendedor/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblVendedor");
      jsonJS.vendedor.forEach(function(i){
        addRowVendedor(i.vend_cod, i.vend_nom);
      });

      $("#tblVendedor tbody tr").dblclick(function() {
        selectVendedor(a, $(this));
      });

      $("#tblVendedor tbody #btnSelecVendedor").click(function() {
        selectVendedor(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowVendedor(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecVendedor'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblVendedor tbody").append(markup);
}

function selectVendedor(a, tr) {
  $("#pills-"+a+"-tab").click();
  $("#"+inputVendedor).val(tr.find("td:eq(0)").text());
  $("#"+inputVendedor).trigger("change");
  tblClear("tblVendedor");
}